----------
-- MONK --
----------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "MONK") then
    return;
end

--[[
-- generic spells
Watcher:AddIcon("Blackout Kick", 100784);
Watcher:AddIcon("Breath of Fire", 115181);
Watcher:AddIcon("Elusive Brew", 115308);
Watcher:AddIcon("Fists of Fury", 113656);
Watcher:AddIcon("Jab", 100780);
Watcher:AddIcon("Keg Smash", 121253);
Watcher:AddIcon("Rising Sun Kick", 107428);
Watcher:AddIcon("Tiger Palm", 100787);
Watcher:AddIcon("Tigereye Brew", 116740);
Watcher:AddIcon("Touch of Death", 115080);
Watcher:AddIcon("Touch of Karma", 122470);

-- talented spells and procs
Watcher:AddIcon("Charging Ox Wave", 119392);
Watcher:AddIcon("Chi Brew", 115399);
Watcher:AddIcon("Chi Burst", 130651);
Watcher:AddIcon("Combo Breaker: Blackout Kick", 116768);
Watcher:AddIcon("Combo Breaker: Tiger Palm", 118864);
Watcher:AddIcon("Death Note", 121125);
Watcher:AddIcon("Dizzying Haze", 115180);
Watcher:AddIcon("Invoke Xuen, the White Tiger", 123904);
Watcher:AddIcon("Leg Sweep", 119381);
Watcher:AddIcon("Rushing Jade Wind", 116847);
Watcher:AddIcon("Shuffle", 115307);
Watcher:AddIcon("Tiger Power", 125359);

-- glyphs

function Watcher:AddClassSpells()
    Watcher:Direct("Blackout Kick");
    Watcher:Direct("Breath of Fire");
    Watcher:Direct("Charging Ox Wave");
    Watcher:Direct("Chi Brew");
    Watcher:Direct("Chi Burst");
    Watcher:Direct("Elusive Brew");
    Watcher:Direct("Fists of Fury");
    Watcher:Direct("Invoke Xuen, the White Tiger");
    Watcher:Direct("Jab");
    Watcher:Direct("Leg Sweep");
    Watcher:Direct("Rising Sun Kick");
    Watcher:Direct("Rushing Jade Wind");
    Watcher:Direct("Tigereye Brew");
    Watcher:Direct("Touch of Karma");
    Watcher:Buff("Shuffle", "Blackout Kick");
    Watcher:Buff("Tiger Power", "Tiger Palm");
    Watcher:Proc("Combo Breaker: Blackout Kick", "Blackout Kick");
    Watcher:Proc("Combo Breaker: Tiger Palm", "Tiger Palm");
    Watcher:Proc("Death Note", "Touch of Death");
    Watcher:Apply("Dizzying Haze", "Keg Smash", 0, 0, true, true);
end

--]]