----------
-- MAGE --
----------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "MAGE") then
    return;
end

--[[

-- generic spells
Watcher:AddIcon("Arcane Barrage", 44425);
Watcher:AddIcon("Arcane Blast", 30451);
Watcher:AddIcon("Arcane Missiles", 5143);
Watcher:AddIcon("Combustion", 11129);
Watcher:AddIcon("Evocation", 12051);
Watcher:AddIcon("Fireball", 133);
Watcher:AddIcon("Inferno Blast", 108853);
Watcher:AddIcon("Living Bomb", 44457);
Watcher:AddIcon("Mirror Image", 55342);
Watcher:AddIcon("Pyroblast", 11366);

-- talented spells and procs
Watcher:AddIcon("Arcane Charge", 36032);
Watcher:AddIcon("Arcane Missiles!", 79683);
Watcher:AddIcon("Incanter's Ward", 1463);
Watcher:AddIcon("Invocation", 114003);
Watcher:AddIcon("Nether Tempest", 114954);
Watcher:AddIcon("Presence of Mind", 12043);
Watcher:AddIcon("Pyroblast!", 48108);
Watcher:AddIcon("Rune of Power", 116011);

function Watcher:AddClassSpells()
    Watcher:Buff("Incanter's Ward", "Incanter's Ward", true);
    Watcher:Debuff("Living Bomb");
    Watcher:Direct("Arcane Blast");
    Watcher:Proc("Arcane Charge", "Arcane Barrage", 4);
    Watcher:Capitalize("Pyroblast", "Combustion");
    Watcher:PowerThreshold(30, true, "Evocation");
    Watcher:Direct("Fireball");
    Watcher:Direct("Inferno Blast");
    Watcher:Direct("Invocation");
    Watcher:Direct("Mirror Image");
    Watcher:Direct("Nether Tempest");
    Watcher:Direct("Presence of Mind");
    Watcher:Direct("Rune of Power");
    Watcher:Proc("Arcane Missiles!", "Arcane Missiles");
    Watcher:Proc("Pyroblast!", "Pyroblast");
    Watcher:Proc("Arcane Charge", "Arcane Barrage",4);
end

--]]